# SDK Setup

### **Add the JitPack repository to your root's build.gradle file**

```gradle
Add it in your root build.gradle at the end of repositories.

allprojects {
    repositories {
        ...
        maven {
            url 'https://jitpack.io'
            credentials { username authToken }
        }
    }
}
```

### **Add the token to gradle.properties**

```
authToken=jp_ssguccab6c5ge2l4jitaj92ek2
```

### **Add the dependency in App's build.gradle**

```gradle
Set Accura SDK as a dependency to our app/build.gradle file.

android {

    defaultConfig {
        ...
        ndk {
            // Specify CPU architecture.
            // 'armeabi-v7a' & 'arm64-v8a' are respectively 32 bit and 64 bit device architecture 
            // 'x86' & 'x86_64' are respectively 32 bit and 64 bit emulator architecture
            abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    packagingOptions {
        pickFirst 'lib/arm64-v8a/libcrypto.so'
        pickFirst 'lib/arm64-v8a/libssl.so'

        pickFirst 'lib/armeabi-v7a/libcrypto.so'
        pickFirst 'lib/armeabi-v7a/libssl.so'

        pickFirst 'lib/x86/libcrypto.so'
        pickFirst 'lib/x86/libssl.so'

        pickFirst 'lib/x86_64/libcrypto.so'
        pickFirst 'lib/x86_64/libssl.so'
	}
	
}
dependencies {
    ...
    // for Accura OCR
    implementation 'com.github.accurascan:AccuraOCR:6.2.1'
}
```

### **Add licence files to project assets folder:**

```gradle
Create "assets" folder under app/src/main and Add license file in to assets folder.
- key.license // for Accura OCR
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/solutions/barcode-with-pdf417/android/sdk-setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
